Skip to main content
GET
/
project
/
{project_id}
/
location
/
{location}
/
postgres
/
{postgres_database_reference}
/
servers
List servers for a specific PostgreSQL database
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/servers \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "items": [
    {
      "id": "<string>",
      "role": "primary",
      "state": "running",
      "synchronization_status": "ready",
      "vm": {
        "id": "vmhfy8gff8c67hasb0eez2k1pd",
        "ip4": "127.0.0.1",
        "ip4_enabled": true,
        "ip6": "2606:4700:3108::ac42:2835",
        "location": "eu-central-h1",
        "name": "my-vm-name",
        "size": "<string>",
        "state": "<string>",
        "storage_size_gib": 123,
        "unix_user": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

postgres_database_reference
string
required

Postgres database ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

A list of Postgres Database Servers

count
integer
required
items
object[]
required